using System;
using Xamarin.CommunityToolkit.Extensions;
using Xamarin.Forms;

namespace XamarinDemoApp.SDKMobileSpots
{
	public class InlineAdDelegateHandler
	{
		public static void OnAdLoaded()
		{
			Application.Current.MainPage.DisplayToastAsync("Inline Ad is loaded");
		}

        public static void OnAdDefaultLoaded()
        {
            Application.Current.MainPage.DisplayToastAsync("Inline Ad default is loaded");
        }

        public static void OnAdLoadFailed()
        {
            Application.Current.MainPage.DisplayToastAsync("Inline Ad Load failed");

        }

        public static void OnAdActionFinished()
        {
            Application.Current.MainPage.DisplayToastAsync("Inline Ad action finished");
        }

        public static bool OnAdWillExpand()
        {
            Application.Current.MainPage.DisplayToastAsync("Inline Ad will expand");
            return true;
        }

        public static void OnAdExpandFinished()
        {
            Application.Current.MainPage.DisplayToastAsync("Inline Ad expansion finished");
        }

        public static bool OnAdWillResize()
        {
            Application.Current.MainPage.DisplayToastAsync("Inline Ad will resize");
            return true;
        }

        public static void OnAdResizeFinished()
        {
            Application.Current.MainPage.DisplayToastAsync("Inline Ad resizing finished");
        }

        public static void OnAdClosed()
		{
			Application.Current.MainPage.DisplayToastAsync("Inline Ad is closed");
		}        
    }
}

